
void _efl_ui_spotlight_scroll_manager_scroll_block_set(Eo *obj, Efl_Ui_Spotlight_Scroll_Manager_Data *pd, Eina_Bool scroll_block);


static Eina_Error
__eolian_efl_ui_spotlight_scroll_manager_scroll_block_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_ui_spotlight_manager_scroll_block_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_spotlight_manager_scroll_block_set, EFL_FUNC_CALL(scroll_block), Eina_Bool scroll_block);

Eina_Bool _efl_ui_spotlight_scroll_manager_scroll_block_get(const Eo *obj, Efl_Ui_Spotlight_Scroll_Manager_Data *pd);


static Eina_Value
__eolian_efl_ui_spotlight_scroll_manager_scroll_block_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_ui_spotlight_manager_scroll_block_get(obj);
   return eina_value_bool_init(val);
}

EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_ui_spotlight_manager_scroll_block_get, Eina_Bool, EINA_FALSE /* false */);

void _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_bind(Eo *obj, Efl_Ui_Spotlight_Scroll_Manager_Data *pd, Efl_Ui_Spotlight_Container *spotlight);


void _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_content_add(Eo *obj, Efl_Ui_Spotlight_Scroll_Manager_Data *pd, Efl_Gfx_Entity *subobj, int index);


void _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_content_del(Eo *obj, Efl_Ui_Spotlight_Scroll_Manager_Data *pd, Efl_Gfx_Entity *subobj, int index);


void _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_switch_to(Eo *obj, Efl_Ui_Spotlight_Scroll_Manager_Data *pd, int from, int to, Efl_Ui_Spotlight_Manager_Switch_Reason reason);


void _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_size_set(Eo *obj, Efl_Ui_Spotlight_Scroll_Manager_Data *pd, Eina_Size2D size);


void _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_animated_transition_set(Eo *obj, Efl_Ui_Spotlight_Scroll_Manager_Data *pd, Eina_Bool enable);


Eina_Bool _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_animated_transition_get(const Eo *obj, Efl_Ui_Spotlight_Scroll_Manager_Data *pd);


void _efl_ui_spotlight_scroll_manager_efl_object_invalidate(Eo *obj, Efl_Ui_Spotlight_Scroll_Manager_Data *pd);


static Eina_Bool
_efl_ui_spotlight_scroll_manager_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_SPOTLIGHT_SCROLL_MANAGER_EXTRA_OPS
#define EFL_UI_SPOTLIGHT_SCROLL_MANAGER_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_manager_scroll_block_set, _efl_ui_spotlight_scroll_manager_scroll_block_set),
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_manager_scroll_block_get, _efl_ui_spotlight_scroll_manager_scroll_block_get),
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_manager_bind, _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_bind),
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_manager_content_add, _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_content_add),
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_manager_content_del, _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_content_del),
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_manager_switch_to, _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_switch_to),
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_manager_size_set, _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_size_set),
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_manager_animated_transition_set, _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_animated_transition_set),
      EFL_OBJECT_OP_FUNC(efl_ui_spotlight_manager_animated_transition_get, _efl_ui_spotlight_scroll_manager_efl_ui_spotlight_manager_animated_transition_get),
      EFL_OBJECT_OP_FUNC(efl_invalidate, _efl_ui_spotlight_scroll_manager_efl_object_invalidate),
      EFL_UI_SPOTLIGHT_SCROLL_MANAGER_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"scroll_block", __eolian_efl_ui_spotlight_scroll_manager_scroll_block_set_reflect, __eolian_efl_ui_spotlight_scroll_manager_scroll_block_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_spotlight_scroll_manager_class_desc = {
   EO_VERSION,
   "Efl.Ui.Spotlight.Scroll_Manager",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Spotlight_Scroll_Manager_Data),
   _efl_ui_spotlight_scroll_manager_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_spotlight_scroll_manager_class_get, &_efl_ui_spotlight_scroll_manager_class_desc, EFL_UI_SPOTLIGHT_MANAGER_CLASS, NULL);
